get
https://demo-api.edfapay.com/api/v1/users/user/
Get User Details by UserId, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT, BRANCH
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Retrieve details of a specific user.
Endpoint
GET https://demo-api.edfapay.com/api/v1/users/user/{id}
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id | UUID | Yes | User ID |
Response Body
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code |
| message | String | Status |
| data.id | UUID | User ID |
| data.username | String | |
| data.firstName | String | First name |
| data.lastName | String | Last name |
| data.phoneNumber | String | Phone |
| data.userType | String | User type |
Response Example
{
"code": 200,
"message": "Success",
"data": {
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"username": "[email protected]",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "+966-500000000",
"userType": "USER"
}
}